import { Injectable } from '@angular/core';
import { ConfigService } from '@shared/config/config.service';
import { FleioApiService } from '../../fleio-api.service';
import { HttpClient } from '@angular/common/http';
import { IVolumeType } from '@fleio-api/openstack/model/volume-type.model';

@Injectable({
  providedIn: 'root'
})
export class VolumeTypesApiService extends FleioApiService<IVolumeType> {
  constructor(protected httpClient: HttpClient, protected config: ConfigService) {
    super();
    this.setEndpoint(config.getPanelApiUrl('openstack/volumetypes'));
  }
}
